All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.rio
Class Column

    com.sas.rio.Column

All Implemented Interfaces:
  java.io.Serializable

    public class Column

implements java.io.Serializable

This is the Column class which defines a columns' attributes. A Column object array is passed as an argument while creating a Table. The Column object array is also used while retrieving selected columns from an existing Table.

See Also:
  Serialized Form

Constructor Summary
`Column()` Constructs a Column object.

Method Summary
`int` | `getColumnFormatDecimal()` Gets the format decimal of the column.
`int` | `getColumnFormatLength()` Gets the format length of the column.
`java.lang.String` | `getColumnFormatName()` Gets the format name of the column.
`int` | `getColumnFormatWidth()` Gets the format width of the column.
`int` | `getColumnInformatDecimal()` Gets the informat decimal of the column.
`int` | `getColumnInformatLength()` Gets the informat length of the column.
`java.lang.String` | `getColumnInformatName()` Gets the informat name of the column.
`int` | `getColumnInformatWidth()` Gets the informat width of the column.
`java.lang.String` | `getColumnLabel()` Gets the label of the column.
`java.lang.String` | `getColumnName()` Gets the name of the column.
`int` | `getColumnType()` Gets the SQL type of the column.
`java.lang.String` | `getColumnTypeName()` Gets the SQL type name of the column.
`int` | `getMaxLength()` Gets the length of the column.
`void` | `setColumnFormatDecimal(int formatDecimal)` Sets the format decimal of the column.
`void` | `setColumnFormatLength(int formatLength)` Sets the format length of the column.
`void` | `setColumnFormatName(java.lang.String formatName)` Sets the format name of the column.
`void` | `setColumnFormatWidth(int formatWidth)` Sets the format width of the column.
`void` | `setColumnInformatDecimal(int informatDecimal)` Sets the informat decimal of the column.
`void` | `setColumnInformatLength(int informatLength)` Sets the informat length of the column.
`void` | `setColumnInformatName(java.lang.String informatName)` Sets the informat name of the column.
`void` | `setColumnInformatWidth(int informatWidth)` Sets the informat width of the column.
`void` | `setColumnLabel(java.lang.String columnLabel)` Sets the label of the column.
`void` | `setColumnName(java.lang.String columnName)` Sets the name of the column.
`void` | `setColumnType(int columnType)` Sets the SQL type of the column.
`void` | `setMaxLength(int maxLength)` Sets the maximum length of the column.

Constructor Detail

### Column

    public Column()

  Constructs a Column object.

Method Detail

### getColumnName

    public java.lang.String getColumnName()
                                   throws RIOException

  Gets the name of the column.

  Returns:
    The name of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnLabel

    public java.lang.String getColumnLabel()
                                    throws RIOException

  Gets the label of the column.

  Returns:
    The label of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnType

    public int getColumnType()
                      throws RIOException

  Gets the SQL type of the column.

  Returns:
    The SQL type of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnTypeName

    public java.lang.String getColumnTypeName()
                                       throws RIOException

  Gets the SQL type name of the column.

  Returns:
    The SQL type name of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getMaxLength

    public int getMaxLength()
                     throws RIOException

  Gets the length of the column.

  Returns:
    The length of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnFormatName

    public java.lang.String getColumnFormatName()
                                         throws RIOException

  Gets the format name of the column.

  Returns:
    The format name of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnInformatName

    public java.lang.String getColumnInformatName()
                                           throws RIOException

  Gets the informat name of the column.

  Returns:
    The informat name of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnFormatLength

    public int getColumnFormatLength()
                              throws RIOException

  Gets the format length of the column.

  Returns:
    The format length of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnInformatLength

    public int getColumnInformatLength()
                                throws RIOException

  Gets the informat length of the column.

  Returns:
    The informat length of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnFormatWidth

    public int getColumnFormatWidth()
                             throws RIOException

  Gets the format width of the column.

  Returns:
    The format width of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnInformatWidth

    public int getColumnInformatWidth()
                               throws RIOException

  Gets the informat width of the column.

  Returns:
    The informat width of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnFormatDecimal

    public int getColumnFormatDecimal()
                               throws RIOException

  Gets the format decimal of the column.

  Returns:
    The format decimal of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### getColumnInformatDecimal

    public int getColumnInformatDecimal()
                                 throws RIOException

  Gets the informat decimal of the column.

  Returns:
    The informat decimal of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws RIOException

  Sets the name of the column.

  Parameters:
    `columnName` - The name of the column. Column name cannot be NULL.
  Throws:
    `RIOException` - This exception is thrown if the name of the column is NULL.

### setColumnLabel

    public void setColumnLabel(java.lang.String columnLabel)
                        throws RIOException

  Sets the label of the column.

  Parameters:
    `columnLabel` - The label of the column. Column label may be NULL.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnType

    public void setColumnType(int columnType)
                       throws RIOException

  Sets the SQL type of the column.

  Parameters:
    `coluumnType` - The SQL type of the column. Should be one of the following values.

    `com.sas.iom.sas.BaseType._BaseTypeCharacter`
      Indicates that the column is to contain character data.

    `com.sas.iom.sas.BaseType._BaseTypeNumeric`
      Indicates that the column is to contain eight byte numeric data.
  Throws:
    `RIOException` - This exception is thrown if column type is not valid.

### setMaxLength

    public void setMaxLength(int maxLength)
                      throws RIOException

  Sets the maximum length of the column. Corresponds to the size of the column

  Parameters:
    `maxLength` - The maximum length of the column. Corresponds to the size of the column.
  Throws:
    `RIOException` - This exception is thrown if maximum length is less than 1.

### setColumnFormatName

    public void setColumnFormatName(java.lang.String formatName)
                             throws RIOException

  Sets the format name of the column.

  Parameters:
    `formatName` - The format name of the column. Format name may be NULL.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnInformatName

    public void setColumnInformatName(java.lang.String informatName)
                               throws RIOException

  Sets the informat name of the column.

  Parameters:
    `informatName` - The informat name of the column. Informat name may be NULL.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnFormatLength

    public void setColumnFormatLength(int formatLength)
                               throws RIOException

  Sets the format length of the column.

  Parameters:
    `formatLength` - The format length of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnInformatLength

    public void setColumnInformatLength(int informatLength)
                                 throws RIOException

  Sets the informat length of the column.

  Parameters:
    `informatLength` - The informat length of the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnFormatWidth

    public void setColumnFormatWidth(int formatWidth)
                              throws RIOException

  Sets the format width of the column.

  Parameters:
    `formatWidth` - The format width of the column. Specify com.sas.iom.sas.RIONoFmtWidth.value to indicate no format width needs to be persisted for the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnInformatWidth

    public void setColumnInformatWidth(int informatWidth)
                                throws RIOException

  Sets the informat width of the column.

  Parameters:
    `informatWidth` - The informat width of the column.Specify com.sas.iom.sas.RIONoFmtWidth.value to indicate no informat width needs to be persisted for the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnFormatDecimal

    public void setColumnFormatDecimal(int formatDecimal)
                                throws RIOException

  Sets the format decimal of the column.

  Parameters:
    `formatDecimal` - The format decimal of the column. Specify com.sas.iom.sas.RIONoFmtDecimal.value to indicate no format decimal needs to be persisted for the column.
  Throws:
    `RIOException` - This exception is never thrown.

### setColumnInformatDecimal

    public void setColumnInformatDecimal(int informatDecimal)
                                  throws RIOException

  Sets the informat decimal of the column.

  Parameters:
    `informatDecimal` - The informat decimal of the column. Specify com.sas.iom.sas.RIONoFmtDecimal.value to indicate no informat decimal needs to be persisted for the column.
  Throws:
    `RIOException` - This exception is never thrown.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.